package com.gyee.frame.service;


import com.gyee.frame.common.base.BaseService;
import com.gyee.frame.mapper.auto.AnalysissubtablebottomMapper;
import com.gyee.frame.model.auto.Analysissubtablebottom;
import com.gyee.frame.model.auto.AnalysissubtablebottomExample;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import javax.xml.ws.ServiceMode;
import java.util.Date;
import java.util.List;
import java.util.Map;

@Service
public class AnalysissubtablebottomService implements BaseService<Analysissubtablebottom, AnalysissubtablebottomExample> {

    @Resource
    private AnalysissubtablebottomMapper analysissubtablebottomMapper;



    @Override
    public int deleteByPrimaryKey(String id) {
        return 0;
    }

    @Override
    public int insertSelective(Analysissubtablebottom record) {
        return 0;
    }

    @Override
    public Analysissubtablebottom selectByPrimaryKey(String id) {
        return null;
    }

    @Override
    public int updateByPrimaryKeySelective(Analysissubtablebottom record) {
        return 0;
    }

    @Override
    public int updateByExampleSelective(Analysissubtablebottom record, AnalysissubtablebottomExample example) {
        return 0;
    }

    @Override
    public int updateByExample(Analysissubtablebottom record, AnalysissubtablebottomExample example) {
        return 0;
    }

    @Override
    public List<Analysissubtablebottom> selectByExample(AnalysissubtablebottomExample example) {
        return null;
    }

    @Override
    public long countByExample(AnalysissubtablebottomExample example) {
        return 0;
    }

    @Override
    public int deleteByExample(AnalysissubtablebottomExample example) {
        return 0;
    }


    public  List<Map> selectByRecorddateGrop(String  startTs, String endTs,String wpid,String [] point){
        List<Map> map = analysissubtablebottomMapper.selectByRecorddateGrop(startTs,endTs,wpid,point);
        return map;
    }
}
